dudley/src/Assemble_getNormal.cpp File Reference
`#include "Assemble.h"`
`#include "ShapeTable.h"`
`#include "Util.h"`
`#include <escript/index.h>`

## Namespaces

| dudley
| A suite of factory methods for creating 2D and 3D dudley domains.

## Functions

void | dudley::Assemble_getNormal (const NodeFile *nodes, const ElementFile *elements, escript::Data &normals)
| calculates the normal vector at quadrature points on face elements More...